Need a Whitelisted Torrent Client

    • OMV 3.x
    • Resolved

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • Need a Whitelisted Torrent Client

      Hi

      I'm new here and I'm very new to Linux.

      Some Torrent sites have strict requirements for which Torrent Clients they allow seeding from, these are listed in a so-called Torrent Client Whitelist.

      Here are some examples of the latest approved torrent clients:
      • Deluge 1.3.x
      • libtorrent 0.13.x (rtorrent)
      • Transmission 1.9x
      • Transmission 2.xx
      • uTorrent 3.5.x


      I'm using OMV 3.x and I could really use some help with installing any of the approved clients, preferably through the OMV interface.
    • Only problem with deluge is that the plug-in version is very old, so if you want to install it you'll need to update it manually.
      you can find the instruction to install deluged (deluge daemon) and the webgui on th edeluge wiki.
      Intel G4400 - Asrock H170M pro4s - 8GB ram - 2x4TB WD RED in RAID1 - 1TB Seagate 7200.12
      OMV 3.0.79 - Kernel 4.9 backport 3 - omvextrasorg 3.4.25
    • The problem is the opposite of what Blabla is describing.

      The versions available with OMV-Extras.org plugin for OMV 3.x is too new and not whitelisted by many torrent sites.

      I can go back and download some older versions here:
      bintray.com/openmediavault-plu…vault-transmissionbt/view
      bintray.com/openmediavault-plu…penmediavault-deluge/view


      But it's not enough. The latest version of each client I can use are following:
      • Transmission 2.92
      • Deluge 1.3.x


      The oldest I can get from OMV-Extras.org for OMV 3.x is:
      • Transmission 3.0
      • Deluge 3.0


      Or am I just misunderstanding something like the version numbers used by OMV-Extras.org?
    • Gratz wrote:

      The problem is the opposite of what Blabla is describing.

      The versions available with OMV-Extras.org plugin for OMV 3.x is too new and not whitelisted by many torrent sites.

      I can go back and download some older versions here:
      bintray.com/openmediavault-plu…vault-transmissionbt/view
      bintray.com/openmediavault-plu…penmediavault-deluge/view


      But it's not enough. The latest version of each client I can use are following:
      • Transmission 2.92
      • Deluge 1.3.x


      The oldest I can get from OMV-Extras.org for OMV 3.x is:
      • Transmission 3.0
      • Deluge 3.0


      Or am I just misunderstanding something like the version numbers used by OMV-Extras.org?
      The version of the plugin doesn't match the version of the software used for obvious reasons. Transmission version used is 2.82 if I am not mistaken, comes from Debian. Deluge version is 1.3.10 and comes from Debian repos also. Unfortunately the deluge plugin has broken dependencies at the moment so we should pull it out, until we can sort that out. I would recommend then using deluge from docker container.
      chat support at #openmediavault@freenode IRC | Spanish & English | GMT+10
      telegram.me/openmediavault broadcast channel
      openmediavault discord server